Locations
The Locations API assists you in identifying the currently available VPN locations. This list will be kept up to date as new locations are added. If users have added custom locations to their account, they can access the full list of locations using the authorization header.
Endpoints
GET
https://api.azirevpn.com/v3/locationsAttributes
- Name
name- Type
- string
- Description
Unique identifier for the location.
- Name
city- Type
- string
- Description
The city name of the location.
- Name
country- Type
- string
- Description
The country name of the location.
- Name
iso- Type
- string
- Description
The ISO code of the location.
- Name
pool- Type
- array
- Description
The hostname pool with IPs available for the location.
- Name
pubkey- Type
- array
- Description
The public keys assigned to the location.
GET/v3/locations
List all locations
This endpoint lets you retrieve a list of all locations currently accessible. If you include an authorization header, you might have access to additional locations associated with your account.
Request
GET
/v3/locations curl https://api.azirevpn.com/v3/locations \
-H "Authorization: Bearer {token}"
Response
{
"status": "success",
"locations": [
{
"name": "se-sto",
"city": "Stockholm",
"country": "Sweden",
"iso": "se",
"pool": "se-sto.azirevpn.net",
"pubkey": "VYRJwI6n2Rpvh/gmYnUoyMJQDrUSdxls0JX9/6JlOEw="
},
{
"name": "nl-ams",
"city": "Amsterdam",
// ...
}
// ...
]
}